# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# /jenkins/workspace/rapidsai/gpuci/cudf/branches/cudf-cpu-branch-build/conda/recipes/cudf, last modified Thu Aug 27 00:19:42 2020
# ------------------------------------------------

package:
    name: cudf
    version: 0.15.0
source:
    git_url: ../../..
build:
    number: '0'
    script_env:
        - VERSION_SUFFIX
    string: cuda_10.1_py38_g71cb8c0e0_0
requirements:
    build:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - abseil-cpp 20200225.2 he1b5a44_2
        - arrow-cpp 0.17.1 py38h1234567_11_cuda
        - arrow-cpp-proc 1.0.1 cuda
        - aws-sdk-cpp 1.7.164 hba45d7a_2
        - boost-cpp 1.72.0 h7b93d67_2
        - brotli 1.0.7 he1b5a44_1004
        - bzip2 1.0.8 h516909a_3
        - c-ares 1.16.1 h516909a_3
        - ca-certificates 2020.6.20 hecda079_0
        - certifi 2020.6.20 py38h32f6830_0
        - cudatoolkit 10.1.243 h6bb024c_0
        - curl 7.71.1 he644dc0_5
        - cython 0.29.21 py38h950e882_0
        - dlpack 0.3 he1b5a44_1
        - double-conversion 3.1.5 he1b5a44_2
        - gflags 2.2.2 he1b5a44_1004
        - glog 0.4.0 h49b9bf7_3
        - grpc-cpp 1.30.2 heedbac9_0
        - icu 67.1 he1b5a44_0
        - krb5 1.17.1 hfafb76e_2
        - ld_impl_linux-64 2.34 hc38a660_9
        - libblas 3.8.0 17_openblas
        - libcblas 3.8.0 17_openblas
        - libcudf 0.15.0 cuda10.1_g71cb8c0e0_0
        - libcurl 7.71.1 hcdd3856_5
        - libedit 3.1.20191231 he28a2e2_2
        - libev 4.33 h516909a_0
        - libevent 2.1.10 hcdb4288_2
        - libffi 3.2.1 he1b5a44_1007
        - libgcc-ng 9.3.0 h24d8f2e_16
        - libgfortran-ng 7.5.0 hdf63c60_16
        - libgomp 9.3.0 h24d8f2e_16
        - liblapack 3.8.0 17_openblas
        - libllvm10 10.0.1 he513fc3_2
        - libnghttp2 1.41.0 h8cfc5f6_2
        - libopenblas 0.3.10 pthreads_hb3c22a3_4
        - libprotobuf 3.12.4 h8b12597_0
        - librmm 0.15.0 cuda10.1_gbe88340_0
        - libssh2 1.9.0 hab1572f_5
        - libstdcxx-ng 9.3.0 hdf63c60_16
        - llvmlite 0.34.0 py38h4f45e52_0
        - lz4-c 1.9.2 he1b5a44_3
        - ncurses 6.2 he1b5a44_1
        - numba 0.51.0 py38hc5bc63f_0
        - numpy 1.19.1 py38hbc27379_2
        - openssl 1.1.1g h516909a_1
        - pandas 1.1.1 py38h950e882_0
        - parquet-cpp 1.5.1 2
        - pip 20.2.2 py_0
        - pyarrow 0.17.1 py38h1234567_11_cuda
        - python 3.8.5 h1103e12_5_cpython
        - python-dateutil 2.8.1 py_0
        - python_abi 3.8 1_cp38
        - pytz 2020.1 pyh9f0ad1d_0
        - re2 2020.07.06 he1b5a44_1
        - readline 8.0 he28a2e2_2
        - rmm 0.15.0 cuda_10.1_py38_gbe88340_0
        - setuptools 49.6.0 py38h32f6830_0
        - six 1.15.0 pyh9f0ad1d_0
        - snappy 1.1.8 he1b5a44_3
        - spdlog 1.7.0 hc9558a2_2
        - sqlite 3.33.0 h4cf870e_0
        - thrift-cpp 0.13.0 h62aa4f2_3
        - tk 8.6.10 hed695b0_0
        - wheel 0.35.1 pyh9f0ad1d_0
        - xz 5.2.5 h516909a_1
        - zlib 1.2.11 h516909a_1007
        - zstd 1.4.5 h6597ccf_2
    run:
        - cudatoolkit >=10.1.243,<10.2.0a0
        - cupy >=6.6.0,<8.0.0a0,!=7.1.0
        - dlpack
        - fastavro >=0.22.0
        - fsspec>=0.6.0
        - libcudf >=0.15.0,<0.16.0a0
        - numba >=0.49.0
        - numpy
        - pandas >=1.0,<1.2.0dev0
        - pyarrow 0.17.1.*
        - python >=3.8,<3.9.0a0
        - python_abi 3.8.* *_cp38
        - rmm 0.15.*
test:
    commands:
        - python -c "import cudf"
    requires:
        - cudatoolkit 10.1.*
about:
    home: http://rapids.ai/
    license: Apache-2.0
    license_family: Apache
    license_file: LICENSE
    summary: cuDF GPU DataFrame core library
extra:
    copy_test_source_files: true
    final: true
